songrec(1)

NAME
songrec - An open-source Shazam client for Linux, written in Rust.

SYNOPSIS
songrec [-v|--verbose]... [-h|--help] [-V|--version] [subcommands]

DESCRIPTION
An open-source Shazam client for Linux, written in Rust.

OPTIONS

-v, --verbose
    -v: Set the log level to DEBUG instead of INFO for SongRec-related messages -vv: Set the log level to DEBUG for SongRec-related messages and INFO for library-related messages -vvv: Set the log level to TRACE

-h, --help
    Print help

-V, --version
    Print version

SUBCOMMANDS

songrec-listen(1)
    Run as a command-line program listening the microphone and printing recognized songs to stdout, exposing current song info via MPRIS

songrec-recognize(1)
    Recognize one song from a sound file or microphone and print its info.

songrec-audio-file-to-recognized-song(1)
    Generate a Shazam fingerprint from a sound file, perform song recognition towards Shazam's servers and print obtained information to the standard output.

songrec-microphone-to-recognized-song(1)
    Recognize a currently playing song using the microphone and print obtained information to the standard output

songrec-audio-file-to-fingerprint(1)
    Generate a Shazam fingerprint from a sound file, and print it to the standard output.

songrec-fingerprint-to-recognized-song(1)
    Take a data-URI Shazam fingerprint, perform song recognition towards Shazam's servers and print obtained information to the standard output.

songrec-gui(1)
    The default action. Display a GUI.

songrec-gui-norecording(1)
    Launch the GUI, but don't recognize audio through the microphone as soon as it is launched (rather than expecting the user to click on a button).

VERSION
v0.7.4

AUTHORS
Marin M. - Fossplant.re